Debian Bug report logs - #734628
nautilus-dropbox: dropbox fails to start with a pylinux import error

version graph

Package: nautilus-dropbox; Maintainer for nautilus-dropbox is Chow Loong Jin <hyperair@debian.org>; Source for nautilus-dropbox is src:nautilus-dropbox.

Reported by: Trevor Bekolay <tbekolay@gmail.com>

Date: Wed, 8 Jan 2014 17:12:02 UTC

Severity: important

Merged with 740598

Found in version nautilus-dropbox/1.6.1-1

Done: Chow Loong Jin <hyperair@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, tbekolay@gmail.com, Chow Loong Jin <hyperair@debian.org>:
Bug#734628; Package nautilus-dropbox. (Wed, 08 Jan 2014 17:12:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Trevor Bekolay <tbekolay@gmail.com>:
New Bug report received and forwarded. Copy sent to tbekolay@gmail.com, Chow Loong Jin <hyperair@debian.org>. (Wed, 08 Jan 2014 17:12:06 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Trevor Bekolay <tbekolay@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: nautilus-dropbox: dropbox fails to start with a pylinux import error
Date: Wed, 08 Jan 2014 12:09:48 -0500
Package: nautilus-dropbox
Version: 1.6.1-1
Severity: important

Dear Maintainer,

I noticed that Dropbox hadn't been updating since late yesterday.
I tried to start Dropbox from the command line,
with dropbox start, and got the following Python import error:

Starting Dropbox...Traceback (most recent call last):
  File "dropbox/client/main.py", line 13, in <module>
  File "autogen_explicit_imports.py", line 13, in <module>
  File "ui/common/selective_sync.py", line 6, in <module>
  File "arch/__init__.py", line 28, in <module>
  File "arch/linux/tracing.py", line 8, in <module>
  File "hard_trace.py", line 6, in <module>
  File "client_api/connection_hub.py", line 21, in <module>
  File "client_api/kv_connection.py", line 23, in <module>
  File "pylinux/__init__.py", line 71, in <module>
  File "cffi/api.py", line 311, in verify
  File "dropbox/overrides.py", line 398, in load_library
  File "cffi/verifier.py", line 69, in load_library
  File "cffi/verifier.py", line 154, in _load_library
  File "cffi/vengine_cpy.py", line 124, in load_library
VerificationError: importing '/home/tbekolay/pylinux/__pycache__/_cffi__xa0c4f46bx1d95b4de.so': No module named _cffi__xa0c4f46bx1d95b4de

Dropbox then does a time.sleep(), but it doesn't seem like
it would ever be able to recover from that error.
Starting the program as root gives the same issue.

Since the issue seems to be with pylinux / cffi,
and is python3 given its use of __pycache__,
I tried installing the python3-cffi pacakge,
but this did not resolve the issue.

Since it's an import issue, I checked my $PYTHONPATH,
but it is currently empty.

I did a dropbox update to check if it was using an outdated
upstream binary, but the problem persisted.

-- System Information:
Debian Release: jessie/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 3.12-1-amd64 (SMP w/8 CPU cores)
Locale: LANG=en_CA.utf8, LC_CTYPE=en_CA.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nautilus-dropbox depends on:
ii  libatk1.0-0              2.10.0-2
ii  libc6                    2.17-97
ii  libcairo-gobject2        1.12.16-2
ii  libcairo2                1.12.16-2
ii  libgdk-pixbuf2.0-0       2.28.2-1+b1
ii  libglib2.0-0             2.36.4-1
ii  libgtk-3-0               3.8.6-1
ii  libnautilus-extension1a  3.8.2-2
ii  libpango-1.0-0           1.36.0-1+b1
ii  libpangocairo-1.0-0      1.36.0-1+b1
ii  policykit-1              0.105-4
ii  procps                   1:3.3.9-1
ii  python-gpgme             0.2-3
ii  python-gtk2              2.24.0-3+b1
pn  python:any               <none>

Versions of packages nautilus-dropbox recommends:
ii  libappindicator1  0.4.92-3

Versions of packages nautilus-dropbox suggests:
ii  nautilus  3.8.2-2

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Chow Loong Jin <hyperair@debian.org>:
Bug#734628; Package nautilus-dropbox. (Wed, 08 Jan 2014 18:24:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Trevor Bekolay <tbekolay@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chow Loong Jin <hyperair@debian.org>. (Wed, 08 Jan 2014 18:24:05 GMT) Full text and rfc822 format available.

Message #10 received at 734628@bugs.debian.org (full text, mbox):

From: Trevor Bekolay <tbekolay@gmail.com>
To: 734628@bugs.debian.org
Subject: Re: Bug#734628: nautilus-dropbox: dropbox fails to start with a pylinux import error
Date: Wed, 8 Jan 2014 13:21:30 -0500
[Message part 1 (text/plain, inline)]
With some help from David at Dropbox, I fixed the issue by doing the
following:

  sudo rm -rf /var/lib/dropbox/.dropbox-dist
  dropbox start -i

Which essentially wipes out the old Dropbox app files and reinstalls them.
The issue seems to be related to recent Debian Python updates.
In any case, anyone affected with this issue should be able to
perform the above steps to fix this bug.

On Wed, Jan 8, 2014 at 12:09 PM, Trevor Bekolay <tbekolay@gmail.com> wrote:

> Package: nautilus-dropbox
> Version: 1.6.1-1
> Severity: important
>
> Dear Maintainer,
>
> I noticed that Dropbox hadn't been updating since late yesterday.
> I tried to start Dropbox from the command line,
> with dropbox start, and got the following Python import error:
>
> Starting Dropbox...Traceback (most recent call last):
>   File "dropbox/client/main.py", line 13, in <module>
>   File "autogen_explicit_imports.py", line 13, in <module>
>   File "ui/common/selective_sync.py", line 6, in <module>
>   File "arch/__init__.py", line 28, in <module>
>   File "arch/linux/tracing.py", line 8, in <module>
>   File "hard_trace.py", line 6, in <module>
>   File "client_api/connection_hub.py", line 21, in <module>
>   File "client_api/kv_connection.py", line 23, in <module>
>   File "pylinux/__init__.py", line 71, in <module>
>   File "cffi/api.py", line 311, in verify
>   File "dropbox/overrides.py", line 398, in load_library
>   File "cffi/verifier.py", line 69, in load_library
>   File "cffi/verifier.py", line 154, in _load_library
>   File "cffi/vengine_cpy.py", line 124, in load_library
> VerificationError: importing
> '/home/tbekolay/pylinux/__pycache__/_cffi__xa0c4f46bx1d95b4de.so': No
> module named _cffi__xa0c4f46bx1d95b4de
>
> Dropbox then does a time.sleep(), but it doesn't seem like
> it would ever be able to recover from that error.
> Starting the program as root gives the same issue.
>
> Since the issue seems to be with pylinux / cffi,
> and is python3 given its use of __pycache__,
> I tried installing the python3-cffi pacakge,
> but this did not resolve the issue.
>
> Since it's an import issue, I checked my $PYTHONPATH,
> but it is currently empty.
>
> I did a dropbox update to check if it was using an outdated
> upstream binary, but the problem persisted.
>
> -- System Information:
> Debian Release: jessie/sid
>   APT prefers unstable
>   APT policy: (500, 'unstable')
> Architecture: amd64 (x86_64)
>
> Kernel: Linux 3.12-1-amd64 (SMP w/8 CPU cores)
> Locale: LANG=en_CA.utf8, LC_CTYPE=en_CA.utf8 (charmap=UTF-8)
> Shell: /bin/sh linked to /bin/dash
>
> Versions of packages nautilus-dropbox depends on:
> ii  libatk1.0-0              2.10.0-2
> ii  libc6                    2.17-97
> ii  libcairo-gobject2        1.12.16-2
> ii  libcairo2                1.12.16-2
> ii  libgdk-pixbuf2.0-0       2.28.2-1+b1
> ii  libglib2.0-0             2.36.4-1
> ii  libgtk-3-0               3.8.6-1
> ii  libnautilus-extension1a  3.8.2-2
> ii  libpango-1.0-0           1.36.0-1+b1
> ii  libpangocairo-1.0-0      1.36.0-1+b1
> ii  policykit-1              0.105-4
> ii  procps                   1:3.3.9-1
> ii  python-gpgme             0.2-3
> ii  python-gtk2              2.24.0-3+b1
> pn  python:any               <none>
>
> Versions of packages nautilus-dropbox recommends:
> ii  libappindicator1  0.4.92-3
>
> Versions of packages nautilus-dropbox suggests:
> ii  nautilus  3.8.2-2
>
> -- no debconf information
>
[Message part 2 (text/html, inline)]

Reply sent to Chow Loong Jin <hyperair@debian.org>:
You have taken responsibility. (Thu, 09 Jan 2014 02:33:09 GMT) Full text and rfc822 format available.

Notification sent to Trevor Bekolay <tbekolay@gmail.com>:
Bug acknowledged by developer. (Thu, 09 Jan 2014 02:33:09 GMT) Full text and rfc822 format available.

Message #15 received at 734628-done@bugs.debian.org (full text, mbox):

From: Chow Loong Jin <hyperair@debian.org>
To: Trevor Bekolay <tbekolay@gmail.com>, 734628-done@bugs.debian.org
Subject: Re: Bug#734628: nautilus-dropbox: dropbox fails to start with a pylinux import error
Date: Thu, 9 Jan 2014 10:30:00 +0800
[Message part 1 (text/plain, inline)]
On Wed, Jan 08, 2014 at 01:21:30PM -0500, Trevor Bekolay wrote:
> With some help from David at Dropbox, I fixed the issue by doing the
> following:
> 
>   sudo rm -rf /var/lib/dropbox/.dropbox-dist
>   dropbox start -i
> 
> Which essentially wipes out the old Dropbox app files and reinstalls them.
> The issue seems to be related to recent Debian Python updates.
> In any case, anyone affected with this issue should be able to
> perform the above steps to fix this bug.

Okay, I'm closing this bug then, as there really isn't much we can do in the
open source bits of the package -- the error comes from the bundle that's
downloaded from Dropbox's website itself.

-- 
Kind regards,
Loong Jin
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Chow Loong Jin <hyperair@debian.org>:
Bug#734628; Package nautilus-dropbox. (Mon, 20 Jan 2014 23:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jérémy <kcchouette@gmail.com>:
Extra info received and forwarded to list. Copy sent to Chow Loong Jin <hyperair@debian.org>. (Mon, 20 Jan 2014 23:36:06 GMT) Full text and rfc822 format available.

Message #20 received at 734628@bugs.debian.org (full text, mbox):

From: Jérémy <kcchouette@gmail.com>
To: Debian Bug Tracking System <734628@bugs.debian.org>
Subject: Re: nautilus-dropbox: dropbox fails to start with a pylinux import error
Date: Tue, 21 Jan 2014 00:33:04 +0100
Package: nautilus-dropbox
Version: 1.6.1-1
Followup-For: Bug #734628

Dear Maintainer,

   * What led up to the situation?
I have the same problem than Trevor Bekolay.
After an update of nautilus-dropbox (I think) I can't start dropbox.
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
I try a first time $ dropbox start but there is a traceback and it fail :

  Starting Dropbox...Traceback (most recent call last):
  File "dropbox/client/main.py", line 13, in <module>
  File "autogen_explicit_imports.py", line 13, in <module>
  File "ui/common/selective_sync.py", line 6, in <module>
  File "arch/__init__.py", line 28, in <module>
  File "arch/linux/tracing.py", line 8, in <module>
  File "hard_trace.py", line 6, in <module>
  File "client_api/connection_hub.py", line 21, in <module>
  File "client_api/kv_connection.py", line 23, in <module>
  File "pylinux/__init__.py", line 71, in <module>
  File "cffi/api.py", line 311, in verify
  File "dropbox/overrides.py", line 398, in load_library
  File "cffi/verifier.py", line 69, in load_library
  File "cffi/verifier.py", line 154, in _load_library
  File "cffi/vengine_cpy.py", line 124, in load_library
  VerificationError: importing '/home/jeremy/pylinux/__pycache__/
_cffi__xa0c4f46bx1d95b4de.so': No module named   _cffi__xa0c4f46bx1d95b4de

  The Dropbox daemon is not installed!
  Run "dropbox start -i" to install the daemon

So I try dropbox start -i

  $ dropbox start -i
  Starting Dropbox...Traceback (most recent call last):
  File "dropbox/client/main.py", line 13, in <module>
  File "autogen_explicit_imports.py", line 13, in <module>
  File "ui/common/selective_sync.py", line 6, in <module>
  File "arch/__init__.py", line 28, in <module>
  File "arch/linux/tracing.py", line 8, in <module>
  File "hard_trace.py", line 6, in <module>
  File "client_api/connection_hub.py", line 21, in <module>
  File "client_api/kv_connection.py", line 23, in <module>
  File "pylinux/__init__.py", line 71, in <module>
  File "cffi/api.py", line 311, in verify
  File "dropbox/overrides.py", line 398, in load_library
  File "cffi/verifier.py", line 69, in load_library
  File "cffi/verifier.py", line 154, in _load_library
  File "cffi/vengine_cpy.py", line 124, in load_library
  VerificationError: importing
'/home/jeremy/pylinux/__pycache__/_cffi__xa0c4f46bx1d95b4de.so': No module
named _cffi__xa0c4f46bx1d95b4de

  Dropbox is the easiest way to share and store your files online. Want to
learn   more? Head to https://www.dropbox.com/

  Downloading Dropbox... 100%
  Unpacking Dropbox... 100%
  Traceback (most recent call last):
  File "dropbox/client/main.py", line 13, in <module>
  File "autogen_explicit_imports.py", line 13, in <module>
  File "ui/common/selective_sync.py", line 6, in <module>
  File "arch/__init__.py", line 28, in <module>
  File "arch/linux/tracing.py", line 8, in <module>
  File "hard_trace.py", line 6, in <module>
  File "client_api/connection_hub.py", line 21, in <module>
  File "client_api/kv_connection.py", line 23, in <module>
  File "pylinux/__init__.py", line 71, in <module>
  File "cffi/api.py", line 311, in verify
  File "dropbox/overrides.py", line 398, in load_library
  File "cffi/verifier.py", line 69, in load_library
  File "cffi/verifier.py", line 154, in _load_library
  File "cffi/vengine_cpy.py", line 124, in load_library
  VerificationError: importing
'/home/jeremy/pylinux/__pycache__/_cffi__xa0c4f46bx1d95b4de.so': No module
named _cffi__xa0c4f46bx1d95b4de
  Done!

I retry with $ sudo rm -rf /var/lib/dropbox/.dropbox-dist and then $ dropbox
start -i
But tracebacks and errors are the same than before

Thanks



-- System Information:
Debian Release: jessie/sid
  APT prefers testing
  APT policy: (990, 'testing'), (90, 'unstable'), (50, 'stable'), (10, 'experimental')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.12-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages nautilus-dropbox depends on:
ii  libatk1.0-0              2.10.0-2
ii  libc6                    2.17-97
ii  libcairo-gobject2        1.12.16-2
ii  libcairo2                1.12.16-2
ii  libgdk-pixbuf2.0-0       2.28.2-1+b1
ii  libglib2.0-0             2.36.4-1
ii  libgtk-3-0               3.8.6-1
ii  libnautilus-extension1a  3.8.2-2
ii  libpango-1.0-0           1.36.0-1+b1
ii  libpangocairo-1.0-0      1.36.0-1+b1
ii  policykit-1              0.105-4
ii  procps                   1:3.3.4-2
ii  python-gpgme             0.2-3
ii  python-gtk2              2.24.0-3+b1
pn  python:any               <none>

Versions of packages nautilus-dropbox recommends:
ii  libappindicator1  0.4.92-3

Versions of packages nautilus-dropbox suggests:
ii  nautilus  3.8.2-2

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#734628; Package nautilus-dropbox. (Tue, 21 Jan 2014 05:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Chow Loong Jin <hyperair@debian.org>:
Extra info received and forwarded to list. (Tue, 21 Jan 2014 05:33:05 GMT) Full text and rfc822 format available.

Message #25 received at 734628@bugs.debian.org (full text, mbox):

From: Chow Loong Jin <hyperair@debian.org>
To: Jérémy <kcchouette@gmail.com>, 734628@bugs.debian.org
Subject: Re: Bug#734628: nautilus-dropbox: dropbox fails to start with a pylinux import error
Date: Tue, 21 Jan 2014 13:28:56 +0800
[Message part 1 (text/plain, inline)]
On Tue, Jan 21, 2014 at 12:33:04AM +0100, Jérémy wrote:
> [...]
>   Done!
> 
> I retry with $ sudo rm -rf /var/lib/dropbox/.dropbox-dist and then $ dropbox
> start -i
> But tracebacks and errors are the same than before

You probably still have the old one in ~/.dropbox-dist. Try removing that as
well. If that still doesn't work, just rm -rf ~/pylinux.

-- 
Kind regards,
Loong Jin
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 18 Feb 2014 07:35:38 GMT) Full text and rfc822 format available.

Bug unarchived. Request was from Chow Loong Jin <hyperair@debian.org> to control@bugs.debian.org. (Mon, 03 Mar 2014 13:24:08 GMT) Full text and rfc822 format available.

Merged 734628 740598 Request was from Chow Loong Jin <hyperair@debian.org> to control@bugs.debian.org. (Mon, 03 Mar 2014 13:24:11 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 01 Apr 2014 07:27:37 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:43:51 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.